{% extends "base.html" %}

{% block content %}
<h3>{{ object.user.first_name }} {{ object.user.last_name }}</h3>
<section style="text-align: right;">
  {% if request.user == object.user or perms.expense_report.manage_expense_report %}
  <br />
  <a href="{% url "user-banking-information-update" object.pk %}"><button type="button">Éditer</button></a>
  {% endif %}
</section>

<section>
  <table style="text-align: revert;">
    <legend>Coordonnées bancaires</legend>
    <thead>
      <th>RIB/IBAN au format PDF</th>
      <th>Status</th>
      <th>IBAN</th>
      <th>BIC</th>
    </thead>
    <tr>
      <td>
        {% if object.file %}
        <a href="{{ object.file.url }}" target="_blank">Télécharger</a>
        {% else %}
        Manquant
        {% endif %}
      </td>
      <td>{{ object.validated | yesno:"Validé,Non validé" }}</td>
      <td>{% if object.iban %}{{ object.iban }}{% else %}Manquant{% endif %}</td>
      <td>{% if object.bic %}{{ object.bic }}{% else %}Manquant{% endif %}</td>
    </tr>
  </table>
</section>

{% include "log_entries.html" %}
{% endblock %}
